From 0f80a52c7848daf0cf66f4b92e3121ee0a908a98 Mon Sep 17 00:00:00 2001
From: Dariusz Rybicki <dariusz@elixxir.io>
Date: Mon, 29 Aug 2022 13:21:08 +0100
Subject: [PATCH] Run tests on macOS with run-tests.sh

---
 run-tests.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/run-tests.sh b/run-tests.sh
index 80f7cd7e..f1c6697a 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -1,3 +1,8 @@
 #!/bin/sh
 set -e
+
+echo "\n\033[1;32mâ–¶ Running tests on macOS...\033[0m"
+set -o pipefail && swift test 2>&1 | ./xcbeautify
+
+echo "\n\033[1;32mâ–¶ Running tests on iOS Simulator...\033[0m"
 set -o pipefail && xcodebuild -scheme 'elixxir-dapps-sdk-swift-Package' -sdk iphonesimulator -destination 'platform=iOS Simulator,OS=15.5,name=iPhone 13' test | ./xcbeautify
-- 
GitLab